### Function

# RB gst_encoding_profile_get_settings

#### Declaration [src]

    char**
    rb_gst_encoding_profile_get_settings (
      GstEncodingProfile* profile,
      const char* style
    )

#### Description [src]

Returns a list of settings for the profile `profile` that can usefully be exposed to a user. This usually means just bitrate/quality settings. This works by finding the name of the encoder element for the profile and retrieving a list specific to that encoder.

#### Parameters

`profile`

  Type: `GstEncodingProfile`

  A `GstEncodingProfile`.

  The data is owned by the caller of the function.

`style`

  Type: `const char*`

  Encoding style (NULL or “cbr” or “vbr”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

List of settings.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.